﻿<%@ Control Language="C#" AutoEventWireup="True" CodeBehind="WebHooks.ascx.cs" Inherits="cogworks.webhooks.ui.dashboards.WebHooks" %>
<div class="dashboardWrapper">
    <h2 style="padding-left:0px;">Webhooks
    <span style="float:right;"><select id="webHooks" runat="server"></select> <input type="button" runat="server" onserverclick="Handle_WebHookShowDetail" value="Show Webhook details" /></span></h2>
    <asp:PlaceHolder runat="server" ID="events"></asp:PlaceHolder>

    <div id="subscriberDiv" runat="server" visible="false">
        <h4>Add new subscriber</h4>
        <asp:ValidationSummary
            runat="server"
            DisplayMode="SingleParagraph"
            ValidationGroup="AddSubscriber"
            ForeColor="Red"
         />
        <asp:RequiredFieldValidator
            runat="server"
            ControlToValidate="endpoint"
            Display="None"
            ErrorMessage="You must provide an Endpoint<br />"
            ValidationGroup="AddSubscriber"
        ></asp:RequiredFieldValidator>
        <div>
            <label>Endpoint</label>
            <input type="text" runat="server" id="endPoint" />
            <input type="button" runat="server" value="Subscribe" onserverclick="Handle_AddSubscriber"  />
        </div>
        <h4 runat="server" id="subscribersTitleTag"></h4>
        <style>td {margin:0px; padding:5px;}</style>

        <asp:Repeater runat="server" ID="subscriberList">
            <HeaderTemplate>
                <table style='margin:0px;padding:0px;width:100%;'>
                        <thead style='background-color:#ddd;'>
                            <td><strong>ID</strong></td>
                            <td><strong>URL</strong></td>
                            <td><strong>Failures</strong></td>
                            <td><strong>Delete</strong></td>
                        </thead>
            </HeaderTemplate>

            <ItemTemplate>
                <tr>
                    <td><%# Eval("Id") %></td>
                    <td><%# Eval("Endpoint") %></td>
                    <td><%# Eval("FailCount") %></td>
                    <td><asp:Button Text="Delete" runat="server" OnClick="Handle_DeleteWebHook" CommandArgument='<%# Eval("Id") %>' /></td>
                </tr>
            </ItemTemplate>

            <AlternatingItemTemplate>
                <tr style="background-color:#eee;">
                    <td><%# Eval("Id") %></td>
                    <td><%# Eval("Endpoint") %></td>
                    <td><%# Eval("FailCount") %></td>
                    <td><asp:Button ID="Button1" Text="Delete" runat="server" OnClick="Handle_DeleteWebHook" CommandArgument='<%# Eval("Id") %>' /></td>
                </tr>
            </AlternatingItemTemplate>

            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
    </div>
</div>